# Updates a tag globally for project tasks.

POST https://api.awork.com/api/v1/tasks/updatetags

Updates a tag globally for project tasks. The renamed or merged tag is applied to matching project tasks.

<Check title="Required Permissions" icon="key">The user must be an admin or have `project-planning-data:write` permissions.</Check>

## Request example

```sh
curl -X POST --globoff 'https://api.awork.com/api/v1/tasks/updatetags' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  --data '{
  "oldTagName": "Design",
  "newTag": {
    "name": "Design",
    "color": "purple"
  },
  "shouldMerge": true
}'
```

## Request body (application/json)

- `oldTagName`: string (required)

- `newTag`: object (required)

- `shouldMerge`: boolean or null

## Response 204

No Content

## Response 207

Multi-Status

## Response 400

Bad Request

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```
